# DataExchange
TKSTEPBase
StepRepr

# StepRepr_MakeFromUsageOption Class Reference

Representation of STEP entity MakeFromUsageOption
.

`#include <StepRepr_MakeFromUsageOption.hxx>`

Inheritance diagram for StepRepr_MakeFromUsageOption:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_MakeFromUsageOption ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Id, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Name, const Standard_Boolean hasProductDefinitionRelationship_Description, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Description, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatingProductDefinition, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatedProductDefinition, const Standard_Integer aRanking, const Handle(TCollection_HAsciiString)&aRankingRationale, const Handle(StepBasic_MeasureWithUnit)&aQuantity)

| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Integer | Ranking () const
| Returns field Ranking .
Standard_EXPORT void | SetRanking (const Standard_Integer Ranking)
| Set field Ranking .
Standard_EXPORT Handle_TCollection_HAsciiString | RankingRationale () const
| Returns field RankingRationale .
Standard_EXPORT void | SetRankingRationale (const Handle(TCollection_HAsciiString)&RankingRationale)
| Set field RankingRationale .
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | Quantity () const
| Returns field Quantity .
Standard_EXPORT void | SetQuantity (const Handle(StepBasic_MeasureWithUnit)&Quantity)
| Set field Quantity .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theRanking
Handle_TCollection_HAsciiString | theRankingRationale
Handle_StepBasic_MeasureWithUnit | theQuantity

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_MakeFromUsageOption::StepRepr_MakeFromUsageOption | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_MakeFromUsageOption::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ProductDefinitionUsage.

Standard_EXPORT void StepRepr_MakeFromUsageOption::Init | ( | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Id,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Name,
|  | const Standard_Boolean | hasProductDefinitionRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Description,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatingProductDefinition,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatedProductDefinition,
|  | const Standard_Integer | aRanking,
|  | const Handle(TCollection_HAsciiString)& | aRankingRationale,
|  | const Handle(StepBasic_MeasureWithUnit)& | aQuantity
| ) |

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepRepr_MakeFromUsageOption::Quantity | ( |  | ) | const

Standard_EXPORT Standard_Integer StepRepr_MakeFromUsageOption::Ranking | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_MakeFromUsageOption::RankingRationale | ( |  | ) | const

Standard_EXPORT void StepRepr_MakeFromUsageOption::SetQuantity | ( | const Handle(StepBasic_MeasureWithUnit)& | Quantity | ) |

Standard_EXPORT void StepRepr_MakeFromUsageOption::SetRanking | ( | const Standard_Integer | Ranking | ) |

Standard_EXPORT void StepRepr_MakeFromUsageOption::SetRankingRationale | ( | const Handle(TCollection_HAsciiString)& | RankingRationale | ) |

## Field Documentation

Handle_StepBasic_MeasureWithUnit StepRepr_MakeFromUsageOption::theQuantity `[private]`

Standard_Integer StepRepr_MakeFromUsageOption::theRanking `[private]`

Handle_TCollection_HAsciiString StepRepr_MakeFromUsageOption::theRankingRationale `[private]`

The documentation for this class was generated from the following file:

- StepRepr_MakeFromUsageOption.hxx